Bug 296894 - icons for added apps is always the toolkit-icon instead of the logo of the application
Summary: icons for added apps is always the toolkit-icon instead of the logo of the ap...
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: Contour activity screen (show other bugs)
Version: PA 2
Platform: Meego/Harmattan Linux
: NOR normal (vote)
Target Milestone: unscheduled
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 16:38 UTC by Fania Bremmer
Modified: 2012-09-28 15:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fania Bremmer 2012-03-27 16:38:26 UTC
happens on 2012-03-27-15-24-basyskom-plasma-active-testing-meego-usb-live.iso
- Add several apps to an activity
- see that the icons for added apps is mostly the toolkit-icon instead of the logo of the application
Comment 1 Marco Martin 2012-03-27 20:42:32 UTC
Git commit 1336664ab0a7782bac2bc3bb32fda23c7d20b1d3 by Marco Martin.
Committed on 27/03/2012 at 22:42.
Pushed by mart into branch 'master'.

restore icon loading from kservice

M  +10   -1    components/metadatamodel/metadatamodel.cpp

http://commits.kde.org/plasma-mobile/1336664ab0a7782bac2bc3bb32fda23c7d20b1d3
Comment 2 Fania Bremmer 2012-04-04 12:44:01 UTC
on 2012-04-04-11-10-basyskom-plasma-active-testing-meego-usb-live.iso 

- i just did a retest, now there is a "question mark plus document" icon for all applications added.
- normally we had really individual icons for each app
Comment 3 Lamarque V. Souza 2012-04-04 20:09:02 UTC
Git commit 8f2c05533cfd337aded1ac708c13dbd5bca0e784 by Lamarque V. Souza.
Committed on 04/04/2012 at 22:04.
Pushed by lvsouza into branch 'Active/2.1'.

Cache the icon name instead of its resource uri.
(cherry picked from commit 17bd98d670b3e934dfc29f1a9dacf1eef17f35cf)

M  +4    -1    components/metadatamodel/metadatamodel.cpp

http://commits.kde.org/plasma-mobile/8f2c05533cfd337aded1ac708c13dbd5bca0e784
Comment 4 Lamarque V. Souza 2012-04-04 20:09:02 UTC
Git commit 17bd98d670b3e934dfc29f1a9dacf1eef17f35cf by Lamarque V. Souza.
Committed on 04/04/2012 at 22:04.
Pushed by lvsouza into branch 'master'.

Cache the icon name instead of its resource uri.

M  +4    -1    components/metadatamodel/metadatamodel.cpp

http://commits.kde.org/plasma-mobile/17bd98d670b3e934dfc29f1a9dacf1eef17f35cf
Comment 5 Lamarque V. Souza 2012-04-04 20:21:07 UTC
(In reply to comment #2)
> on 2012-04-04-11-10-basyskom-plasma-active-testing-meego-usb-live.iso 
> 
> - i just did a retest, now there is a "question mark plus document" icon for
> all applications added.
> - normally we had really individual icons for each app

It should work now with the commit above.
Comment 6 Thomas Pfeiffer 2012-09-28 15:20:23 UTC
Yep, it's fixed, can be closed.